package healthwatcher.view.command;

import healthwatcher.view.IFacade;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Sets up the Command pattern.
 * 
 * @author  Marcos Dsea
 * @author  Srgio Soares
 * @version 04/09/2006
 * 
 */
public abstract class CommandServlet {

	protected HttpServletRequest request;
	protected HttpServletResponse response;
	
	public void setRequest(HttpServletRequest request)
	{
		this.request = request;
	}
	public void setReponse(HttpServletResponse response)
	{
		this.response = response;
	}
	
	public abstract void executeCommand(IFacade receiver);
}
